﻿Type=Activity
Version=2.71
@EndOfDesignText@
#Region  Activity Attributes 
	#FullScreen: False
	#IncludeTitle: True
#End Region

Sub Process_Globals
	'These global variables will be declared once when the application starts.
	'These variables can be accessed from all modules.

End Sub

Sub Globals
	'These global variables will be redeclared each time the activity is created.
	'These variables can only be accessed from this module.
	Dim lblLatitude, lblLongitude, lblAltitude, lblSpeed, lblBearing As Label
End Sub

Sub Activity_Create(FirstTime As Boolean)
	Activity.LoadLayout("gps_location")

End Sub

Sub Activity_Resume
	Activity.Title = Main.ProgName & " " & Main.ProgVersion & " " & "Display Location's GPS Details"
	lblLatitude.Text = NumberFormat2(Main.CurrentLocation.Latitude, 1, 6, 0, False)
  lblLongitude.Text = NumberFormat2(Main.CurrentLocation.Longitude, 1, 6, 0, False)
	If Main.CurrentLocation.AltitudeValid = True Then
		lblAltitude.Text = NumberFormat2(Main.CurrentLocation.Altitude, 1, 1, 0, False)
	Else
		lblAltitude.Text = "- - -"
	End If
	If Main.CurrentLocation.BearingValid = True Then
		lblBearing.Text = Main.CurrentLocation.Bearing
	Else
		lblBearing.Text = "- - -"
	End If
	If Main.CurrentLocation.SpeedValid = True Then
		lblSpeed.Text = Main.CurrentLocation.Speed
	Else
		lblSpeed.Text = "- - -"
	End If
End Sub

Sub Activity_Pause (UserClosed As Boolean)

End Sub
