﻿Type=Activity
Version=2.71
@EndOfDesignText@
#Region Module Attributes
	#FullScreen: False
	#IncludeTitle: True
#End Region

'Activity module
Sub Process_Globals
	'These global variables will be declared once when the application starts.
	'These variables can be accessed from all modules.
End Sub

Sub Globals
	'These global variables will be redeclared each time the activity is created.
	'These variables can only be accessed from this module.
	Dim edtGPSPathFilename, edtGPSPathComment As EditText
	Dim lblGPSPathNumberPoints As Label
	Dim btnGPSPathSaveGPP As Button
End Sub

Sub Activity_Create(FirstTime As Boolean)
	Activity.LoadLayout("gps_save")
End Sub

Sub Activity_Resume
	Activity.Title = Main.ProgName & " " & Main.ProgVersion & " " & "Save GPS Path"
	edtGPSPathFilename.Text = Main.GPSPathFilename
	edtGPSPathComment.Text = Main.GPSPathComment
	lblGPSPathNumberPoints.Text = "  " & Main.GPSPath.Size
End Sub

Sub Activity_Pause (UserClosed As Boolean)

End Sub

Sub btnGPSPathSaveGPP_Click
	Dim i, Answ As Int
	Dim txt As String
	Main.GPSPathFilename = edtGPSPathFilename.Text
	If Main.GPSPathFilename = "" Then
		Msgbox("No filename !", "A T T E N T I O N")
		Return
	Else
		i = Main.GPSPathFilename.IndexOf(".")
		If i = -1 Then
			Main.GPSPathFilename = Main.GPSPathFilename & ".GPP"
		Else
			Main.GPSPathFilename = Main.GPSPathFilename.SubString2(0,i) & ".GPP"
		End If
	End If
	If File.Exists(Main.GPSDir, Main.GPSPathFilename) = True Then
		txt = "The file " & Main.GPSPathFilename & " does already exist !" & CRLF
		txt = txt & "Do you want to overwrite it ?"
		Answ = Msgbox2(txt, "A T T E N T I O N", "Yes", "", "No", Null)
		If Answ = DialogResponse.POSITIVE Then
			Main.GPSPathComment = edtGPSPathComment.Text
			GPSModule.SavePath
			Activity.Finish
		Else
		End If
	Else
		Main.GPSPathComment = edtGPSPathComment.Text
		GPSModule.SavePath
		Activity.Finish
	End If
End Sub
