﻿Type=Activity
Version=2.71
@EndOfDesignText@
#Region Module Attributes
	#FullScreen: False
	#IncludeTitle: True
#End Region

'Activity module
Sub Process_Globals
	'These global variables will be declared once when the application starts.
	'These variables can be accessed from all modules.
End Sub

Sub Globals
	'These global variables will be redeclared each time the activity is created.
	'These variables can only be accessed from this module.
	Dim lblSatellitesNumber, lblSatellitesIndex, lblSatellitesAzimuth As Label
	Dim lblSatellitesElevation, lblSatellitesUsed, lblSatellitesS_N As Label
End Sub

Sub Activity_Create(FirstTime As Boolean)
	Activity.LoadLayout("satellites")
End Sub

Sub Activity_Resume
	Activity.Title = Main.ProgName & " " & Main.ProgVersion & " " & "Satellite Details"
	UpdateSatellites
	Main.GPS1.Start(0, 0)
End Sub

Sub Activity_Pause (UserClosed As Boolean)
End Sub

Sub GPS1_GpsStatus (Satellites As List)
	Dim i As Int
	Dim txt1, txt2, txt3, txt4, txt5 As String
	txt1 = "Index"
	txt2 = "Azimuth"
	txt3 = "Elevation"
	txt4 = "Used"
	txt5 = "S / N ratio"
	lblSatellitesNumber.Text = "Number of satellites: " & Satellites.Size
	For i = 0 To Satellites.Size -1
		Dim GPSSat As GPSSatellite
		GPSSat = Satellites.Get(i)
		txt1 = txt1 & CRLF & (i + 1) 
		txt2 = txt2 & CRLF & GPSSat.Azimuth
		txt3 = txt3 & CRLF & GPSSat.Elevation
		txt4 = txt4 & CRLF & GPSSat.UsedInFix
		txt5 = txt5 & CRLF & Round2(GPSSat.Snr, 2)
	Next
	lblSatellitesIndex.Text = txt1
	lblSatellitesAzimuth.Text = txt2
	lblSatellitesElevation.Text = txt3
	lblSatellitesUsed.Text = txt4
	lblSatellitesS_N.Text = txt5
End Sub

Sub UpdateSatellites
	If Main.GPS1.GPSEnabled = False Then
		ToastMessageShow("Please enable the GPS device.", True)
		StartActivity(Main.GPS1.LocationSettingsIntent)
	End If
End Sub
